<?php

declare(strict_types=1);

namespace Inpsyde\MultilingualPress\Schedule\Action;

use RuntimeException;

/**
 * Interface ActionTask
 * @package Inpsyde\MultilingualPress\Schedule\Action
 */
interface ActionTask
{
    /**
     * @return void
     * @throws RuntimeException if execution fails
     */
    public function execute();
}
